<?php
function hasium_import_files() {
  return array(

      array(
          'import_file_name'           => __( 'Classic Demo', 'hasium' ),
          'local_import_file'            => get_stylesheet_directory() . '/inc/demo/default/all_content.xml',
          'local_import_widget_file'     => get_stylesheet_directory() . '/inc/demo/default/widgets.wie',
          'local_import_customizer_file' => get_stylesheet_directory() . '/inc/demo/default/hasium-export.dat',
          'import_preview_image_url'     => get_template_directory_uri() .'/assets/images/screenshot/screenshot-1.jpg',
          'import_notice'                => __( 'After you import this demo, you will have setup all content.', 'hasium' ),
      ),

      array(
          'import_file_name'           => __( 'News Demo', 'hasium' ),
          'local_import_file'            => get_stylesheet_directory() . '/inc/demo/default/all_content.xml',
          'local_import_widget_file'     => get_stylesheet_directory() . '/inc/demo/default/widgets.wie',
          'local_import_customizer_file' => get_stylesheet_directory() . '/inc/demo/default/hasium-export.dat',
          'import_preview_image_url'     => get_template_directory_uri() .'/assets/images/screenshot/screenshot-2.jpg',
          'import_notice'                => __( 'After you import this demo, you will have setup all content.', 'hasium' ),
      ),

      array(
          'import_file_name'           => __( 'Creative Demo', 'hasium' ),
          'local_import_file'            => get_stylesheet_directory() . '/inc/demo/default/all_content.xml',
          'local_import_widget_file'     => get_stylesheet_directory() . '/inc/demo/default/widgets.wie',
          'local_import_customizer_file' => get_stylesheet_directory() . '/inc/demo/default/hasium-export.dat',
          'import_preview_image_url'     => get_template_directory_uri() .'/assets/images/screenshot/screenshot-3.jpg',
          'import_notice'                => __( 'After you import this demo, you will have setup all content.', 'hasium' ),
      ),

      array(
          'import_file_name'           => __( 'Grid Demo', 'hasium' ),
          'local_import_file'            => get_stylesheet_directory() . '/inc/demo/default/all_content.xml',
          'local_import_widget_file'     => get_stylesheet_directory() . '/inc/demo/default/widgets.wie',
          'local_import_customizer_file' => get_stylesheet_directory() . '/inc/demo/default/hasium-export.dat',
          'import_preview_image_url'     => get_template_directory_uri() .'/assets/images/screenshot/screenshot-4.jpg',
          'import_notice'                => __( 'After you import this demo, you will have setup all content.', 'hasium' ),
      ),

      array(
          'import_file_name'           => __( 'Masonry Demo', 'hasium' ),
          'local_import_file'            => get_stylesheet_directory() . '/inc/demo/default/all_content.xml',
          'local_import_widget_file'     => get_stylesheet_directory() . '/inc/demo/default/widgets.wie',
          'local_import_customizer_file' => get_stylesheet_directory() . '/inc/demo/default/hasium-export.dat',
          'import_preview_image_url'     => get_template_directory_uri() .'/assets/images/screenshot/screenshot-5.jpg',
          'import_notice'                => __( 'After you import this demo, you will have setup all content.', 'hasium' ),
      ),

    );


////////////////////////////////////////////////////////////////////
 
}
add_filter( 'pt-ocdi/import_files', 'hasium_import_files' );


function hasium_after_import_setup() {
    // Assign menus to their locations.
    $header_menu = get_term_by( 'name', 'primary', 'nav_menu' );
    $off_canvas_menu = get_term_by( 'name', 'Off Canvas', 'nav_menu' );
    $footer_menu = get_term_by( 'name', 'Footer Menu', 'nav_menu' );


    set_theme_mod( 'nav_menu_locations' , array(
            'primary' => $header_menu->term_id,
            'off_canvas' => $off_canvas_menu->term_id,
            'footer' => $footer_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'hasium_after_import_setup' );